Loading...
Searching...
No Matches
pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT > Struct Template Reference
Module geometry

The mesh traits are used to set up compile time settings for the mesh. More...

`#include <pcl/geometry/mesh_traits.h>`

## Public Types

using | VertexData = VertexDataT
using | HalfEdgeData = HalfEdgeDataT
using | EdgeData = EdgeDataT
using | FaceData = FaceDataT
using | IsManifold = std::false_type
| Specifies whether the mesh is manifold or not (only non-manifold vertices can be represented).

## Detailed Description

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>
struct pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >

The mesh traits are used to set up compile time settings for the mesh.

Template Parameters

  VertexDataT | Data stored for each vertex. Defaults to pcl::NoData.
  HalfEdgeDataT | Data stored for each half-edge. Defaults to pcl::NoData.
  EdgeDataT | Data stored for each edge. Defaults to pcl::NoData.
  FaceDataT | Data stored for each face. Defaults to pcl::NoData.

Author
  Martin Saelzle

Definition at line 62 of file mesh_traits.h.

## Member Typedef Documentation

## EdgeData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

using pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::EdgeData = EdgeDataT

Definition at line 65 of file mesh_traits.h.

## FaceData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

using pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::FaceData = FaceDataT

Definition at line 66 of file mesh_traits.h.

## HalfEdgeData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

using pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::HalfEdgeData = HalfEdgeDataT

Definition at line 64 of file mesh_traits.h.

## IsManifold

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

using pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::IsManifold = std::false_type

Specifies whether the mesh is manifold or not (only non-manifold vertices can be represented).

Definition at line 70 of file mesh_traits.h.

## VertexData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

using pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::VertexData = VertexDataT

Definition at line 63 of file mesh_traits.h.

The documentation for this struct was generated from the following file:

- pcl/geometry/mesh_traits.h